Subject: Re: linux-next: manual merge of the nand tree with Linus' tree

From: Miquel Raynal <[email-masked]>
Date: Thu, 27 Jun 2019 23:22:07 +0200

Hi Stephen,

Miquel Raynal <[email-masked]> wrote on Thu, 27 Jun 2019
16:51:37 +0200:

> Hi Stephen,
> 
> Stephen Rothwell <[email-masked]> wrote on Tue, 4 Jun 2019
> 10:54:18 +1000:
> 
> > Hi all,
> > 
> > Today's linux-next merge of the nand tree got a conflict in:
> > 
> >   Documentation/devicetree/bindings/mtd/brcm,brcmnand.txt
> > 
> > between commit:
> > 
> >   a5f2246fb913 ("dt: bindings: mtd: replace references to nand.txt with nand-controller.yaml")
> > 
> > from Linus' tree and commit:
> > 
> >   33cc5bd0b87a ("dt-bindings: mtd: brcmnand: Make nand-ecc-strength and nand-ecc-step-size optional")
> > 
> > from the nand tree.
> > 
> > I fixed it up (the latter included the changes from the former, so I
> > just used that) and can carry the fix as necessary. This is now fixed
> > as far as linux-next is concerned, but any non trivial conflicts should
> > be mentioned to your upstream maintainer when your tree is submitted for
> > merging.  You may also want to consider cooperating with the maintainer
> > of the conflicting tree to minimise any particularly complex conflicts.
> >   
> 
> Can you please share the fix? I might want to include it in the final
> PR.
> 

Actually I decided to rebase my branch to avoid all conflicts, no
need for the fix, thanks.

Miquèl